Bug 150241 - sysutils/moosefs-chunkserver: small typo in pkg-install.in
Summary: sysutils/moosefs-chunkserver: small typo in pkg-install.in
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-03 11:10 UTC by Tino Reinhardt
Modified: 2011-05-31 07:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tino Reinhardt 2010-09-03 11:10:08 UTC
sysutils/moosefs-chunkserver/files/pkg-install.in adds user "mfs" with GECOS-field containig "MySQL Daemon" but Moosefs has nothing in common with MySQL.

Fix: 

Maybe:

# sed -e 's/MySQL/Moosefs/' files/pkg-install.in
How-To-Repeat: # pw userdel mfs
# cd /usr/ports/sysutils/moosefs-chunkserver && make install

# finger -m mfs
Comment 1 Edwin Groothuis freebsd_committer 2010-09-03 11:10:15 UTC
Maintainer of sysutils/moosefs-chunkserver,

Please note that PR ports/150241 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150241

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-09-03 11:10:18 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 chifeng 2010-09-03 13:33:18 UTC
Approved. Thank you so much!

Chifeng

On Fri, Sep 3, 2010 at 6:10 PM, Edwin Groothuis <edwin@freebsd.org> wrote:

> Maintainer of sysutils/moosefs-chunkserver,
>
> Please note that PR ports/150241 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150241
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>



-- 
*Regards.*
**- Chifeng
Comment 4 Baptiste Daroussin freebsd_committer 2010-09-03 15:43:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bapt

I'll take it.
Comment 5 Baptiste Daroussin freebsd_committer 2010-09-03 15:46:10 UTC
The best is to use the USERS/GROUPS macros

by the way while looking at it pkg-deinstall.in use useless either because
@dirmtry does it.

While here I added the license.

Do you approve this ?

regards,
Bapt

--- patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/sysutils/moosefs-chunkserver/Makefile,v
retrieving revision 1.4
diff -u -r1.4 Makefile
--- Makefile	30 Jul 2010 14:24:44 -0000	1.4
+++ Makefile	3 Sep 2010 14:44:02 -0000
@@ -19,10 +19,15 @@
 USE_RC_SUBR+=	mfschunkserver
 MFS_WORKDIR=	/var
 
+LICENSE=	GPLv3
+
+USERS=	mfs
+GROUPS=	mfs
+
 MAN5=		mfschunkserver.cfg.5 mfshdd.cfg.5
 MAN8=		mfschunkserver.8
 
-SUB_FILES+=	pkg-install pkg-message pkg-deinstall
+SUB_FILES+=	pkg-message
 SUB_LIST+=	MFS_WORKDIR="${MFS_WORKDIR}"
 
 CONFIGURE_ARGS=	--localstatedir=${MFS_WORKDIR} \
@@ -47,7 +52,6 @@
 		${CP} ${PREFIX}/etc/${FILE}.cfg.dist ${PREFIX}/etc/${FILE}.cfg ; \
 	fi
 .endfor
-	PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} PRE-INSTALL
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/sysutils/moosefs-chunkserver/pkg-plist,v
retrieving revision 1.1
diff -u -r1.1 pkg-plist
--- pkg-plist	7 Apr 2010 03:00:06 -0000	1.1
+++ pkg-plist	3 Sep 2010 14:44:02 -0000
@@ -5,3 +5,4 @@
 etc/mfschunkserver.cfg.dist
 etc/mfshdd.cfg.dist
 sbin/mfschunkserver
+@dirrmtry %%MFS_WORKDIR%%/mfs
Index: files/pkg-deinstall.in
===================================================================
RCS file: files/pkg-deinstall.in
diff -N files/pkg-deinstall.in
--- files/pkg-deinstall.in	7 Apr 2010 03:00:06 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,11 +0,0 @@
-#!/bin/sh
-# $FreeBSD: ports/sysutils/moosefs-chunkserver/files/pkg-deinstall.in,v 1.1 2010/04/07 03:00:06 wen Exp $
-
-PATH="/bin:/sbin:/usr/bin:/usr/sbin"
-
-WORKDIR=%%MFS_WORKDIR%%/mfs
-
-if [ "$2" = "POST-DEINSTALL" ]; then
-	echo "=> Deleting ${WORKDIR} if empty..."
-	rm -d ${WORKDIR} 2>/dev/null || true
-fi
Index: files/pkg-install.in
===================================================================
RCS file: files/pkg-install.in
diff -N files/pkg-install.in
--- files/pkg-install.in	7 Apr 2010 03:00:06 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,37 +0,0 @@
-#!/bin/sh
-
-PATH=/bin:/usr/sbin
-
-if [ "$2" != "PRE-INSTALL" ]; then
-	exit 0
-fi
-
-	USER=mfs
-	GROUP=${USER}
-	UID=925
-	GID=${UID}
-
-	if pw group show "${GROUP}" 2>/dev/null; then
-		echo "You already have a group \"${GROUP}\", so I will use it."
-	else
-		if pw groupadd ${GROUP} -g ${GID}; then
-			echo "Added group \"${GROUP}\"."
-		else
-			echo "Adding group \"${GROUP}\" failed..."
-			exit 1
-		fi
-	fi
-
-	if pw user show "${USER}" 2>/dev/null; then
-		echo "You already have a user \"${USER}\", so I will use it."
-	else
-		if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
-			-d /nonexistent -s /sbin/nologin -c "MySQL Daemon"
-		then
-			echo "Added user \"${USER}\"."
-		else
-			echo "Adding user \"${USER}\" failed..."
-			exit 1
-		fi
-	fi
-exit 0
--- patch ends here ---
Comment 6 dfilter service freebsd_committer 2011-05-31 07:37:59 UTC
bapt        2011-05-31 06:37:50 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/moosefs-chunkserver Makefile 
  Removed files:
    sysutils/moosefs-chunkserver/files pkg-deinstall.in 
                                       pkg-install.in 
  Log:
  - switch to USERs/GROUPs macro
  - while here add license
  
  PR:             ports/150241
  Submitted by:   bapt (myself)
  Approved by:    maintainer (timeout)
  
  Revision  Changes    Path
  1.7       +6 -2      ports/sysutils/moosefs-chunkserver/Makefile
  1.2       +0 -11     ports/sysutils/moosefs-chunkserver/files/pkg-deinstall.in (dead)
  1.2       +0 -37     ports/sysutils/moosefs-chunkserver/files/pkg-install.in (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Baptiste Daroussin freebsd_committer 2011-05-31 07:38:33 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!